Pacman aparentemente quebrado

1. Pacman aparentemente quebrado

Guilherme Machado
Ma-chan

(usa Arch Linux)

Enviado em 16/08/2017 - 17:21h

Alguém passou ou está passando por isso além de mim?

Não consigo atualizar e nem instalar nada. Já atualizei a lista de chaves e tentei também usar o procedimento descrito aqui: https://wiki.archlinux.org/index.php/pacman#pacman_crashes_during_an_upgrade

Tentei também montar a partição onde o Arch está instalado e reinstalar a base do sistema, porém em vão. Pois não funcionou.

erro: systemd: signature from "Christian Hesse (Arch Linux Package Signing) <[email protected]>" is invalid
:: Arquivo /var/cache/pacman/pkg/systemd-234.11-8-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n]
erro: chromium: signature from "Evangelos Foutras <[email protected]>" is invalid
:: Arquivo /var/cache/pacman/pkg/chromium-60.0.3112.101-1-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n]
erro: curl: signature from "Christian Hesse (Arch Linux Package Signing) <[email protected]>" is invalid
:: Arquivo /var/cache/pacman/pkg/curl-7.55.1-1-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n]
erro: falha em submeter a transação (pacote inválido ou corrompido)
Ocorreram erros e, portanto, nenhum pacote foi atualizado.
&#9581;&#9472;[email protected] ~
&#9584;&#9472;$


Sugestões?


  


2. Re: Pacman aparentemente quebrado

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 16/08/2017 - 18:17h

pelo que ví, se trata de problema momentâneo nos espelhos do Arch:

https://bbs.archlinux.org/viewtopic.php?id=220158

uma possível solução sugerida:

http://bbs.archbang.org/viewtopic.php?id=5726
¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨
Albfneto,
Ribeirão Preto, S.P., Brasil.
Usuário Linux, Linux Counter: #479903.
Distros Favoritas: Sabayon, Gentoo, openSUSE, Mageia e OpenMandriva.


3. Re: Pacman aparentemente quebrado

Guilherme Machado
Ma-chan

(usa Arch Linux)

Enviado em 16/08/2017 - 23:51h

Infelizmente não resolveu, albfneto. E depois de todas as minhas tentativas, o problema parece ter piorado. O pacman não funciona de jeito nenhum e sempre surge um erro diferente.

Mais alguém capaz de ajudar? 'u'




_________________________

# Keep It Simple, Stupid!

--------(MATE 1.18.1)--------

Arch Linux + Kernel LTS

========================



4. Re: Pacman aparentemente quebrado

Perfil removido
removido

(usa Nenhuma)

Enviado em 17/08/2017 - 01:15h

uma vez, passei por isso
tente primeiro: apagar (ou mover pra outro lugar) a pasta
/var/cache/pacman/

depois, crie a mesma e um diretório chamado
pkg
, dentro dela(tudo como root, é claro).
depois, apague manualmente o conteúdo da pasta
/var/lib/pacman
sudo rm -Rfv /var/lib/pacman/*

e tente sincronizar novamente com
pacman -Syyyuuu

caso não funcione, tente reinstalar manualmente o pacman, baixando o pacote no site do arch, descompactando-o como root e movendo os arquivos pra suas pastas correspondentes, e tente novamente
aí, se não der certo, espere novas respostas
boa sorte =)


5. Re: Pacman aparentemente quebrado

Eduardo
73du4rd0

(usa Void Linux)

Enviado em 17/08/2017 - 19:47h

Tenta limpar o cache dos pacotes que já foram baixados e ficam armazenados pelo pacman pra serem reinstalados sem necessidade do download, talvez estejam corrompidos e causando problemas, eles ficam em /var/cache/pacman/pkg/, pra fazer isso pelo próprio pacman use:

# pacman -Scc

Depois atualiza o repositório:

# pacman -Syy




::::::: [email protected]
::::::::::::::::::: ---------------
::::::::::::::::::::::::: OS: Slackware 14.2 x86_64
::::::::cllcccccllllllll:::::: User: surak
:::::::::lc dc::::::: Kernel: 4.12.4
::::::::cl clllccllll oc::::::::: Uptime: *** mins
:::::::::o lc::::::::co oc:::::::::: Packages: ***
::::::::::o cccclc:::::clcc:::::::::::: Shell: bash 4.4.12
:::::::::::lc cclccclc::::::::::::: Resolution: 1366x768
::::::::::::::lcclcc lc:::::::::::: DE: Xfce
::::::::::cclcc:::::lccclc oc::::::::::: Theme: Adapta [GTK2/3]
::::::::::o l::::::::::l lc::::::::::: Icons: Flat Remix [GTK2/3]
:::::cll:o clcllcccll o::::::::::: Terminal: xfce4-terminal
:::::occ:o clc:::::::::::
::::ocl:ccslclccclclccclclc:::::::::::::
:::oclcccccccccccccllllllllllllll:::::
::lcc1lcccccccccccccccccccccccco::::
::::::::::::::::::::::::::::::::
::::::::::::::::::::::::::::
::::::::::::::::::::::




6. Re: Pacman aparentemente quebrado

Guilherme Machado
Ma-chan

(usa Arch Linux)

Enviado em 18/08/2017 - 13:27h

Agradeço o auxílio, mas nenhuma das tentativas funcionou. Pesquisei em fóruns estrangeiros (em inglês) tanto do Arch como do Manjaro e encontrei problemas semelhantes, alguns solucionados e outros não. Mas nada feito.




_________________________

# Keep It Simple, Stupid!

--------(MATE 1.18.1)--------

Arch Linux + Kernel LTS

========================







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts